Endpoints
nicola_ask
Request
This operation declares public access.
curl -X POST 'https://ursy.fm/wp-json/nicola/v2/ask' \
-H 'Accept: application/json'- Scopes
- None declared
- Execution
- At the owning service
- Risk classification
- not declared
Parameters
This operation declares no parameters.
This operation is documented here. Use the owning service with the appropriate credentials and permissions to execute it.
Response schemas and request body
{
"requestBody": {
"required": true,
"content": {
"application/json": {
"schema": {
"type": "object",
"properties": {
"question": {
"type": "string",
"minLength": 1,
"maxLength": 4000
},
"constraints": {
"type": "object"
},
"conversation_ref": {
"type": "string",
"maxLength": 2048
},
"max_results": {
"type": "integer",
"minimum": 1,
"maximum": 20,
"default": 5
}
},
"additionalProperties": false,
"required": [
"question"
]
}
}
}
},
"responses": {
"200": {
"description": "Bounded local answer",
"content": {
"application/json": {
"schema": {
"type": "object",
"required": [
"request_id",
"status",
"intent",
"answer",
"items",
"sources",
"freshness",
"clarification",
"next_actions"
],
"properties": {
"request_id": {
"type": "string"
},
"status": {
"enum": [
"answered",
"needs_clarification",
"out_of_scope",
"unavailable",
"pending"
]
},
"intent": {
"type": "string"
},
"answer": {
"type": "string"
},
"items": {
"type": "array",
"maxItems": 20,
"items": {
"type": "object"
}
},
"sources": {
"type": "array"
},
"freshness": {
"type": "object"
},
"clarification": {
"type": [
"string",
"null"
]
},
"next_actions": {
"type": "array"
},
"conversation_ref": {
"type": [
"string",
"null"
]
}
}
}
}
}
},
"400": {
"description": "Invalid question or constraints"
},
"429": {
"description": "Rate limited"
}
}
}